%define version  0.9.0
%define momorel  1
%global md5sum e38019ccfae420e28195ff2a26716b91

%global honoka_version   0.9.1

Name:       honoka-plugin-romkan
Summary:    A Romaji-Hiraga input plugin for honoka
Version:    %{version}
Release:    %{momorel}m
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
%NoSource 0  http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz %{md5sum}
Patch0:     honoka-plugin-romkan_change_default_romaji_tables.diff
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
A Romaji-Hiraga input plugin for honoka.

%prep
%setup -q
%patch0 -p0
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/honoka/*.{a,la}

%find_lang honoka-plugin-romkan

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-romkan.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_datadir}/scim/honoka/*.rkt
%{_libdir}/scim-1.0/honoka/*.so


%changelog
* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
